Name:		moe
Version:	1.5
Release:	1%{?dist}
Summary:	A powerful clean text editor

Group:		Applications/Editors
License:	GPLv3+
URL:		http://www.gnu.org/software/moe/moe.html
Source0:	http://ftp.gnu.org/gnu/moe/%{name}-%{version}.tar.gz
Patch0:		moe-1.5-configure.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ncurses-devel
Requires(post): info
Requires(preun): info

%description
GNU Moe is a powerful, 8-bit clean, text editor for ISO-8859 and ASCII 
character encodings. It has a modeless, user-friendly interface, online 
help, multiple windows, unlimited undo/redo capability, unlimited line 
length, global search/replace (on all buffers at once), block operations, 
automatic indentation, word wrapping, filename completion, directory 
browser, duplicate removal from prompt histories, delimiter matching, etc.

%prep
%setup -q
%patch0 -p0 -b .configure

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
%{__install} -p -d $RPM_BUILD_ROOT%{_mandir}/man1 
%{__install} -p -m 644 ./doc/moe.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS ChangeLog
%{_datadir}/info/%{name}.info*
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*

%changelog
* Fri Mar 08 2013 Jon Ciesla <limburgher@gmail.com> - 1.5-1
- Latest upstream, BZ 919547.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 08 2011 Vivek Shah <boni.vivek at gmail.com> - 1.4-3
- Updated to new upstream version
- Fixed configure file

* Fri Apr 08 2011 Vivek Shah <boni.vivek at gmail.com> - 1.4-2
- Updated to new upstream version
- Fixed incorrect upload

* Fri Apr 08 2011 Vivek Shah <boni.vivek at gmail.com> - 1.4-1
- Updated to new upstream version
- Used lz file from gz as source

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 17 2009 Vivek Shah <boni.vivek at gmail.com> -1.3-1
- Updated to new upstream version

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 19 2009 Debarshi Ray <rishi@fedoraproject.org> 1.0-5
- Fixed configure to respect the environment's CFLAGS and CXXFLAGS settings.

* Sun Mar 01 2009 Caolán McNamara - 1.0-4
- include stdio.h for snprintf

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 10 2008 Vivek Shah <boni.vivek at gmail.com> 1.0-2
- Fixed build dependencies
- Added removal of infodir/dir to avoid overwriting
- Added target for manpage 

* Sat Aug 23 2008 Vivek Shah <boni.vivek at gmail.com> 1.0-1
- Initial Package
